#!/bin/sh
set -e

cd $AUTOPKGTEST_TMP

cat > test.c << EOF
#include <stdio.h>
#include <omp.h>
int main(void) {
	int i;
#pragma omp parallel for
	for (i = 0; i < 10; i++) {
		printf("%d\\n", i);
	}
}
EOF

opari2 test.c

gcc -c test.mod.c -o test.mod.o
nm test.mod.o | $(opari2-config --region-initialization) > regions.c

gcc test.mod.o regions.c -o test -lpomp -rdynamic -fopenmp

./test
